coupang
PATCH/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnRequests/{receiptId}/stoppedShipment2609170000

Processing 'Release stop'

KRTW
# 01

簡介

Processing 'Release stop'

# 02

詳細內容

Available buyer market: Korean

You can use this feature for a product in the status of RELEASE_STOP_UNCHECKED or RETURNS_UNCHECKED & releaseStatus, "N" when running a query on the list of return requests upon order cancellation of a customer. This feature is designed for stopping release of a product which is yet to have been sent, at the request of a customer.

The seller is liable for a round trip return shipping fee if the product requested for 'release stop' is shipped out.

路徑

PATCH/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnRequests/{receiptId}/stoppedShipment

範例端點

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/returnRequests/363667/stoppedShipment

URL API Name

STOP_RETURN_REQUEST_SHIPMENT
# 03

Path 參數

NameTypeDescription
receiptId*number
Receipt ID
vendorId*string
Vendor ID

A unique code Coupang assigns to a vendor
e.g.) A00012345
# 04

請求內容

請求參數

請求內容參數

NameTypeDescription
vendorId*string
Vendor ID

A unique code Coupang assigns to a vendor
e.g.) A00012345
receiptId*integer
Receipt ID
cancelCount*integer
Release count
請求範例application/json
{
  "vendorId": "A00012345",
  "receiptId": 363667,
  "cancelCount": 2
}
# 05

回應內容

回應訊息

NameTypeDescription
codestring
Server response code
messagestring
Server response message
dataobject
resultCode
data.resultCode
string
SUCCESS/FAIL
resultMessage
data.resultMessage
string
Result message

Response Example

{
  "code": "200",
  "message": "OK",
  "data": {
    "resultCode": "SUCCESS",
    "resultMessage": "Request for release stop succeeded"
  }
}
# 06

錯誤碼

HTTP代碼訊息
400HTTP_400Bad Request

錯誤說明

HTTP類型錯誤訊息解決方案
400400 (Check requested variable)

Product is already returned.

Check the status of receiptID to see if its return is completed through 'Return request one product query' API. Make sure that you do not move forward with processing 'release stop' for the returned product

400400 (Check requested variable)

Receipt count for cancel/return doesn't match cancel count.

Make sure that cancel count is identical to receipt count for return.

400400 (Check requested variable)

The product is not in the status of Prepared or Ordered for delivery. Shipping completed.

Check if the product for processing 'release stop' is being prepared or ordered for shipping. If you proceed with the product already shipped, an error message will pop up.

400400 (Check requested variable)

cancelType is not A nor RA.

Check the value of receipt ID and the return status of product for their correctness, and make sure you do not move forward with 'release stop' for the wrong value and status.

500500 (Check requested variable)

It has been shipped and cannot be processed.

Check the status of receiptID to see if its return is completed through 'Return request one product query' API. Make sure that you do not move forward with processing 'release stop' for the returned product